package voltmetro;

import imgctrl.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import javax.swing.JFrame;

public class VoltMetro extends JFrame {

    private Volt01 v01;
    private Slider sdr;
    private Dimension icd;
    private String vrea;
    private double rea;
      
    public VoltMetro() {        
        setTitle("MyVoltmetro");
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);        
        getContentPane().setBackground(Color.white);        
        setLayout(null);
        setSize(600, 600);
        setLocationRelativeTo(null);
        
        v01=new Volt01();
        v01.setBounds(100, 30, 400, 400);
        add(v01);
        sdr=new Slider("/image/bayer-pom30.png",
                "/image/bayer-grey30-dx.png",
                "/image/bayer-braun30-sx.png");
        icd=sdr.getIcoSize();
        sdr.setMaxDim(500);       
        sdr.setOrienta(0);
        sdr.setVal(0,5,2);
        sdr.setEtic(new Font("Arial",1,24));
        sdr.setTickParam(null, 5, 1);
        sdr.setLocation(20, 440);
        sdr.jd.addDragListener(new MyDragListener() {
            @Override
            public void valChanged(DragEvent ev) {                               
                vrea=ev.getRea();                
                rea= Double.parseDouble(vrea);               
                v01.setRot(rea);
            }                                
        });       
        add(sdr);
        
        setVisible(true);     
    }

    public static void main(String args[]) {
        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new VoltMetro();
            }
        });
    }    
}

