package voltmetro1;

/**
 *
 * @author Silvano
 */
import imgctrl.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Point;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class VoltMetro1 extends JFrame {

    private Volt01 v01;
    private Slider sdr;
    private Dimension icd;
    private String vrea;
    private double rea;
      
    public VoltMetro1() {        
        setTitle("MyVoltmetro");
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);        
        getContentPane().setBackground(Color.white);        
        setLayout(null);
        setSize(600, 600);
        setLocationRelativeTo(null);
        
        v01=new Volt01();
        v01.setBounds(100, 30, 400, 400);
        add(v01);
        sdr=new Slider("/image/bayer-pom30.png",
                "/image/bayer-grey30-dx.png",
                "/image/bayer-braun30-sx.png");
        icd=sdr.getIcoSize();
        sdr.setMaxDim(500+icd.width);       
        sdr.setOrienta(0);
        sdr.setVal(0,5,2);
        sdr.setEtic(new Font("Arial",1,24), "0.00");
        sdr.setTickParam(null,0, 5, 5, 1);
        sdr.setLocation(20, 440);
        sdr.jd.addDragListener(new MyDragListener() {
            @Override
            public void valChanged(DragEvent ev) {                               
                vrea=ev.getRea();                
                rea= Double.parseDouble(vrea);               
                v01.setRot(rea);
            }                                
        });       
        add(sdr);
        
        setVisible(true);     
    }

    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
        * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(VoltMetro1.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(VoltMetro1.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(VoltMetro1.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(VoltMetro1.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new VoltMetro1();
            }
        });
    }    
}

